{
    attributes = (
        {
            columnName = COMP_CODE; 
            externalType = VARCHAR2; 
            name = compCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = ETAB_CODE; 
            externalType = VARCHAR2; 
            name = etabCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = FDIP_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fdipAbreviation; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FDIP_ARRIVEE; 
            externalType = NUMBER; 
            name = fdipArrivee; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_KEY; }; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = FDIP_CYCLE; 
            externalType = NUMBER; 
            name = fdipCycle; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDIP_DEPART; 
            externalType = NUMBER; 
            name = fdipDepart; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDIP_LIBELLE; 
            externalType = VARCHAR2; 
            name = fdipLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = FDIP_MENTION; 
            externalType = VARCHAR2; 
            name = fdipMention; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = FDIP_MODELE; 
            externalType = VARCHAR2; 
            name = fdipModele; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FDIP_SPECIALITE; 
            externalType = VARCHAR2; 
            name = fdipSpecialite; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = FDIP_TYPE; 
            externalType = VARCHAR2; 
            name = fdipType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FDIP_TYPE_DROIT; 
            externalType = VARCHAR2; 
            name = fdipTypeDroit; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = FDOM_CODE; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FGRA_CODE; 
            externalType = VARCHAR2; 
            name = fgraCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = FVOC_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FVOI_CODE; }; 
            name = fvocCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = SREMO_CODE; 
            externalType = VARCHAR2; 
            name = sremoCode; 
            valueClassName = NSString; 
            width = 2; 
        }
    ); 
    attributesUsedForLocking = (fdipCode); 
    className = EOGenericRecord; 
    classProperties = (
        fdipCode, 
        fgraCode, 
        fdomCode, 
        fvocCode, 
        fdipMention, 
        fdipSpecialite, 
        fdipLibelle, 
        fdipAbreviation, 
        fdipDepart, 
        fdipArrivee, 
        etabCode, 
        compCode, 
        fdipCycle, 
        fdipModele, 
        fdipTypeDroit, 
        sremoCode, 
        toScolFormationGrade, 
        toScolFormationDomaine, 
        toScolFormationVocation, 
        toGrhumRne, 
        toGrhumComposanteScolarite, 
        fdipType
    ); 
    externalName = SCOL_FORMATION_DIPLOME; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationDiplome; 
    primaryKeyAttributes = (fdipCode); 
    relationships = (
        {
            destination = GrhumComposanteScolarite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = compCode; }); 
            name = toGrhumComposanteScolarite; 
        }, 
        {
            destination = GrhumRne; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = etabCode; }); 
            name = toGrhumRne; 
        }, 
        {
            destination = ScolFormationDomaine; 
            internalInfo = {_nameInObjectStore = scolFormationDomaine; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdomCode; sourceAttribute = fdomCode; }); 
            name = toScolFormationDomaine; 
        }, 
        {
            destination = ScolFormationGrade; 
            internalInfo = {_nameInObjectStore = scolFormationGrade; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fgraCode; sourceAttribute = fgraCode; }); 
            name = toScolFormationGrade; 
        }, 
        {
            destination = ScolFormationVocation; 
            internalInfo = {_nameInObjectStore = scolFormationVoie; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fvocCode; sourceAttribute = fvocCode; }); 
            name = toScolFormationVocation; 
        }
    ); 
}
